.site-logo:not(.custom) {
  display: none;
}

.site-logo.custom svg {
  max-width: 288px;
  width: 100%;
  height: 56px;
  object-fit: contain;
}

.site-logo.custom svg .hide_logo {
  opacity: 0;
  transition: var(--all-transition);
}

.site-logo.custom svg:hover .hide_logo {
  opacity: 1;
}

.inside-header {
  display: grid !important;
  grid-template-columns: 1fr auto auto auto;
  grid-column-gap: 20px;
  justify-content: flex-end;
}

/* .inside-header>.main-navigation:not(.mobile-menu-control-wrapper) {
    display: none !important;
  } */

.header-widget {
  grid-area: 1 / 3 / 2 / 4;
  flex-basis: auto !important;
  margin: 0 !important;
}

.header-widget .rrss {
  display: flex;
  align-items: center;
  column-gap: 20px;
}

.header-widget .rrss a {
  display: flex;
  align-items: center;
  justify-content: center;
}

.header-widget .rrss svg {
  max-width: 26px;
  height: 26px;
  width: 100%;
  object-fit: contain;
}

.header-widget .rrss svg * {
 transition: var(--all-transition);
}

.header-widget .rrss #FB:hover rect,
.header-widget .rrss #IG:hover path {
  fill: var(--c-azul);
}

#site-navigation {
  grid-area: 1 / 2 / 2 / 3;
  background-color: transparent !important;
}

#site-navigation .menu {
  display: flex;
  flex-direction: row !important;
  flex-wrap: nowrap;
  opacity: 0;
  transition: var(--all-transition);
}

#site-navigation.toggled .menu {
  opacity: 1;
}

#site-navigation .menu a {
  text-transform: uppercase;
  font-size: var(--body);
  font-weight: var(--light);
  letter-spacing: var(--l-spacing);
  opacity: 0.8;
  display: flex;
  align-items: center;
  column-gap: 5px;
}

#site-navigation.toggled .menu a::before,
#generate-slideout-menu a::before {
  content: "+";
  display: block;
  font-size: 90%;
}

.has-inline-mobile-toggle #site-navigation.toggled {
  margin-top: 0 !important;
}

.inside-header .main-navigation.mobile-menu-control-wrapper {
  max-width: 65px;
  margin: 0 !important;
  justify-content: flex-end;
}

.inside-header .main-navigation.mobile-menu-control-wrapper button {
  max-width: max-content;
  display: flex;
  align-items: center;
  justify-content: center;
  padding-right: 0;
  background-color: transparent;
}

.inside-header .main-navigation.mobile-menu-control-wrapper button svg {
  width: 25px !important;
  height: 26px !important;
  /* fill: var(--c-azul); */
  transition: var(--all-transition);
}

.inside-header .main-navigation.mobile-menu-control-wrapper button svg:hover,
.inside-header .main-navigation.mobile-menu-control-wrapper.toggled button svg {
    fill: var(--c-azul);
} 

/* FOOTER */

.inside-footer-widgets {
  margin: 0 !important;
}

.inside-footer-widgets aside {
  padding: 0 !important;
}

.footer-widget-1 {
  display: flex;
  align-items: center;
}

.footer-widget-2 .textwidget {
  text-align: right;
}

.copyright-bar {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-transform: uppercase;
  letter-spacing: var(--l-spacing);
  font-size: 0.75rem;
}

.copyright-bar > span {
  font-weight: var(--font-weight-500);
}

.logos-kit-digital img.color {
  display: none;
}

/* 
PAGINAS CON FONDO BLANCO 
La clase de controla a través de una función en el functions.php
*/

.bg_white svg .logo-1 {
  fill: var(--c-negro);
}

.bg_white .header-widget .rrss svg * {
  fill: var(--c-negro);
}

.bg_white .header-widget .rrss svg#FB #icono path {
  fill: var(--c-blanco);
}

.bg_white #site-navigation .menu a {
  color: var(--c-negro);
}

.bg_white #site-navigation .menu a:hover {
  color: var(--c-azul);
}

.bg_white .inside-header .main-navigation.mobile-menu-control-wrapper button svg {
  fill: var(--c-negro);
}

.bg_white .inside-header .main-navigation.mobile-menu-control-wrapper button svg:hover,
.bg_white .inside-header .main-navigation.mobile-menu-control-wrapper.toggled button svg {
  fill: var(--c-azul);
}

.bg_white .footer-widget-1 svg path[fill="#fff"] {
  fill: var(--c-negro);
}

.bg_white .footer-widget-2 .textwidget,
.bg_white .copyright-bar{
  color: var(--c-negro);
}

.bg_white .footer-widget-2 .textwidget,
.bg_white .copyright-bar{
  color: var(--c-negro);
}

.bg_white .logos-kit-digital img.color,
.bg_white .logos-kit-digital img[alt="Logotipo W3C. Accesibilidad nivel AA"] {
  display: block !important;
}

.bg_white .logos-kit-digital img:not(.color)  {
  display: none;
}

@media screen and (max-width: 1024px) {

  .site-logo.custom a {
    display: flex;
    align-items: center;
    justify-content: flex-start;
  }

  .site-logo.custom svg {
    max-width: 190px;
    height: auto;
  }

  .site-logo.custom svg .hide_logo {
    opacity: 1;
  }

  .inside-header {
    grid-column-gap: 0;
  }

  #site-navigation {
    position: absolute;
    width: 100%;
    top: 56px;
    right: 0;
    visibility: hidden;
  }

  #site-navigation.toggled {
    background-color: rgba(0, 0, 0, .8) !important;
    visibility: visible;
    height: 100vh;
    max-width: 30%;
    padding-top: 25px;
  }

  body.bg_white #site-navigation.toggled {
background-color: rgba(255, 255, 255, 0.8) !important;
  }

  #site-navigation .menu {
    flex-direction: column !important;
  }

  #site-navigation .menu a {
    justify-content: flex-end;
  }

  .header-widget {
    grid-area: 1 / 2 / 2 / 3;
  }

  .slideout-overlay {
    display: none;
  }

  #generate-slideout-menu {
    background-color: rgba(0, 0, 0, .8);
  }

  /* FOOTER */

  .inside-footer-widgets {
    flex-direction: row !important;
    flex-wrap: wrap;
  }

  .footer-widget-1 {
    margin-bottom: 0 !important;
  }

  .footer-widget-2 {
    flex: 0 0 57% !important;
  }
}

@media screen and (max-width: 600px) {

  #site-navigation.toggled {
    max-width: 50%;
  }

  /* FOOTER */

  .inside-footer-widgets {
    flex-direction: column !important;
    row-gap: 60px;
  }

  .footer-widget-1 {
    justify-content: center;
    align-items: center;
  }

  .footer-widget-1 svg {
    max-width: 200px;
  }

  .footer-widget-2 .textwidget {
    text-align: center;
  }


}